﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Infragistics.Controls.Editors;
using System.Diagnostics;
using System.Windows.Threading;

namespace WpfApplication3
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public static ObservableCollection<Flag> items = new ObservableCollection<Flag>();
        public MainWindow()
        {
            InitializeComponent();
            items.Add(new Flag { Name = "item1" });
            items.Add(new Flag { Name = "item2" });
            items.Add(new Flag { Name = "item3" });
            items.Add(new Flag { Name = "item4"});
            multiChbCombo.ItemsSource = items;
        }



   
    }


    #region data
    public class Flag
    {
        public string Name { get; set; }

        public Flag() 
        {
            
        }

    }
    #endregion 


    #region command
    public class CheckAllCommand : ICommand
    {
        public void Execute(object parameter)
        {
            Tuple<object, object> param = (Tuple<object, object>)parameter;
                XamComboEditor combo = param.Item1 as XamComboEditor;
                bool select = (bool)param.Item2;

                foreach (ComboEditorItem i in combo.Items)
                    i.IsSelected = select;
            
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }
        public event EventHandler CanExecuteChanged;
    }
#endregion


#region converter
    public class ArrayConverter : IMultiValueConverter
    {


        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Tuple<object, object> tuple = new Tuple<object, object>(
           values[0], values[1]);
            return (object)tuple;
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
#endregion
   
}
